<?php
// $id$
/**
 * @file
 * Implementaion of admin functions for Widgets module.
 */

/**
 * Widgets settings form.
 */
function widgets_settings() {
	// Get node types.
	$types = node_get_types();
	$available_types = array();
	foreach($types as $type) {
		$available_types[$type->type] = $type->name;
	}
	
	$form['widgets_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Widget node types'),
    '#default_value' => variable_get('widgets_types', array()),
    '#options' => $available_types,
    '#description' => t('Check the node types you want to enable as <em>widget types</em>.'),
  );
 	
  return system_settings_form($form);
}

/**
 * Widget settings per node form.
 *
 * @todo
 *	If node type is a widget type you should not be able to choose enable.
 */
function widgets_node_settings(&$form_state, $type_name) {
	
	module_load_include('inc', 'widgets');
	widgets_add_multiselect('edit-widgets-default-'.$type_name);
	
	// Get widgets.
	$options = widgets_get_widgets();
	
	$form = array(
		'#tree' => TRUE,
  );
	
	$form["widgets_enabled_{$type_name}"] = array(
		'#type' => 'checkbox',
		'#title' => t('Enable widgets'),
		'#default_value' => variable_get("widgets_enabled_{$type_name}", 0),
	);
	
	/**
	 * @todo
	 *	This functionality will be implemented in later versions.
	 */
	//$form["widgets_inherit_{$type_name}"] = array(
	//	'#type' => 'checkbox',
	//	'#title' => t('Inherit widgets defined higher up in menu hierarchy.'),
	//	'#default_value' => variable_get("widgets_inherit_{$type_name}", 0),
	//);
	
	$form["widgets_default_{$type_name}"] = array(
		'#type' => 'select',
		'#title' => t('Default widgets'),
		'#default_value' => variable_get("widgets_default_{$type_name}", array()),
		'#options' => $options,
		'#description' => t('Select widgets that should be selected per default for this node type. Drag and drop selected widgets to set the display order.'),
		'#multiple' => TRUE,
		'#attributes' => array('class' => 'multiselect-widget'),
	);

  return system_settings_form($form);
}